Bug 4337 - Unknown symbol pci_pretty_name
Unknown symbol pci_pretty_name
Status: RESOLVED FIXED
Product: DRI
Classification: Unclassified
Component: DRM/other
DRI git
x86 (IA32) Linux (All)
: high major
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 16:37 UTC by tensor5
Modified: 2005-12-01 16:43 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tensor5 2005-09-01 16:37:40 UTC
I compiled cvs drm on kernel 2.6.13-mm1. This is the output of modprobe:
# modprobe radeon
WARNING: Error inserting drm
(/lib/modules/2.6.13-mm1/kernel/drivers/char/drm/drm.ko): Unknown symbol in
module, or unknown parameter (see dmesg)
FATAL: Error inserting radeon
(/lib/modules/2.6.13-mm1/kernel/drivers/char/drm/radeon.ko): Unknown symbol in
module, or unknown parameter (see dmesg)

and dmesg says:

drm: Unknown symbol pci_pretty_name
radeon: Unknown symbol drm_open
radeon: Unknown symbol drm_fasync
radeon: Unknown symbol drm_poll
radeon: Unknown symbol drm_get_resource_len
radeon: Unknown symbol drm_core_get_reg_ofs
radeon: Unknown symbol drm_irq_uninstall
radeon: Unknown symbol drm_get_dev
radeon: Unknown symbol drm_ioctl
radeon: Unknown symbol drm_exit
radeon: Unknown symbol drm_debug
radeon: Unknown symbol drm_core_get_map_ofs
radeon: Unknown symbol drm_init
radeon: Unknown symbol drm_addmap
radeon: Unknown symbol drm_get_resource_start
radeon: Unknown symbol drm_vbl_send_signals
radeon: Unknown symbol drm_cleanup_pci
radeon: Unknown symbol drm_ati_pcigart_init
radeon: Unknown symbol drm_mmap
radeon: Unknown symbol drm_order
radeon: Unknown symbol drm_ati_pcigart_cleanup
radeon: Unknown symbol drm_compat_ioctl
radeon: Unknown symbol drm_core_reclaim_buffers
radeon: Unknown symbol drm_release
Comment 1 tensor5 2005-09-01 18:18:32 UTC
Forgot to mention that the architecture is x84_64, and I used gcc 4.0.1
Comment 2 tensor5 2005-09-03 09:39:23 UTC
Is it related to something I should compile in the kernel?
Comment 3 tensor5 2005-09-03 12:17:40 UTC
For some reason (maybe my mistake) the original bug didn't arrive to dri-devel ml. 
I attach it below:





I compiled cvs drm on kernel 2.6.13-mm1. This is the output of modprobe:
# modprobe radeon
WARNING: Error inserting drm
(/lib/modules/2.6.13-mm1/kernel/drivers/char/drm/drm.ko): Unknown symbol in
module, or unknown parameter (see dmesg)
FATAL: Error inserting radeon
(/lib/modules/2.6.13-mm1/kernel/drivers/char/drm/radeon.ko): Unknown symbol in
module, or unknown parameter (see dmesg)

and dmesg says:

drm: Unknown symbol pci_pretty_name
radeon: Unknown symbol drm_open
radeon: Unknown symbol drm_fasync
radeon: Unknown symbol drm_poll
radeon: Unknown symbol drm_get_resource_len
radeon: Unknown symbol drm_core_get_reg_ofs
radeon: Unknown symbol drm_irq_uninstall
radeon: Unknown symbol drm_get_dev
radeon: Unknown symbol drm_ioctl
radeon: Unknown symbol drm_exit
radeon: Unknown symbol drm_debug
radeon: Unknown symbol drm_core_get_map_ofs
radeon: Unknown symbol drm_init
radeon: Unknown symbol drm_addmap
radeon: Unknown symbol drm_get_resource_start
radeon: Unknown symbol drm_vbl_send_signals
radeon: Unknown symbol drm_cleanup_pci
radeon: Unknown symbol drm_ati_pcigart_init
radeon: Unknown symbol drm_mmap
radeon: Unknown symbol drm_order
radeon: Unknown symbol drm_ati_pcigart_cleanup
radeon: Unknown symbol drm_compat_ioctl
radeon: Unknown symbol drm_core_reclaim_buffers
radeon: Unknown symbol drm_release


Comment 4 tensor5 2005-09-09 14:11:30 UTC
On linux-2.6.13-mm1, the pci_pretty_name() macro has been removed. The following:

sed -e 's|pci_pretty_name(dev->pdev)|\"\"|' -i linux-core/drm_stub.c

solves the problem.
Comment 5 Ian Romanick 2005-12-02 11:43:30 UTC
The use of pci_pretty_name appears to have been fixed (via code in
linux-core/drm_compat.h) on September 17th, 2005.